## qcontrol 0.4.2+svn-r40

=== debian/changelog ===
qcontrol (0.4.2+svn-r40-3) unstable; urgency=low

  * Fix typo in S99qcontrol installer hook.
  * Disable firmware watchdog on TS-419p II as well.

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 25 Nov 2012 11:51:20 +0000

qcontrol (0.4.2+svn-r40-2) unstable; urgency=low

  * Disable firmware watchdog on TS-219p II. (Closes: #693263)
  * Enable LCD on TS-419P II based on GPIO status. (Closes: #689912)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 17 Nov 2012 12:08:50 +0000

qcontrol (0.4.2+svn-r40-1) unstable; urgency=low

  [ Ian Campbell ]
  * New maintainer (Closes: #617749)
  * Incorporate unreleased changes by Frans Pop:
    - Update to new upstream snapshot r31 (Closes: #513344).
    - Add an initscript to start daemon on boot.
    - Enable temperature and fan support.
  * Switch to 3.0 (quilt) source format.
  * Switch to debhelper 9 and dh(1).
  * Update version in --version (Closes: #636325).
  * Build on armhf (Closes: 645670).
  * New upstream snapshot r40 (Closes: #600333).
  * Bump standards version to 3.9.4 (no changes needed).
  * Enable hardening flags.

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 06 Oct 2012 13:45:22 +0100

qcontrol (0.4.2-7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group
  * Apply patch from Matthias Klose to fix FTBFS with ld --as-needed 
    and with multiarched lua (Closes: #643604)
  * Set urgency to medium due to rc bug fix
  * Fix lintian detected spelling error in package descriptions
    (s/Allows\ to/Allows one to/)
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add $remote_fs to the Required-Stop of the debian/init.d
  * Bump standards to 3.9.2 (no furhter changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 07 Dec 2011 13:51:09 +0100

qcontrol (0.4.2-6) unstable; urgency=low

  * qcontrol-udeb: depend on event-modules instead of input-modules.
    Closes: #589581

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Aug 2010 21:59:57 +0100

qcontrol (0.4.2-5) unstable; urgency=low

  * Also add support for TS-419U to udeb. Closes: #557523.

 -- Frans Pop <fjp@debian.org>  Mon, 23 Nov 2009 18:11:02 +0100

qcontrol (0.4.2-4) unstable; urgency=low

  * Let USB headers match default update-rc.d stop levels. Closes: #554796.
  * Add support for QNAP TS-419U. Closes: #556206.
    Many thanks to Martin Michlmayr for the patch.
  * Update supported devices in documentation. Closes: #556210.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Sat, 14 Nov 2009 13:35:41 +0100

qcontrol (0.4.2-3) unstable; urgency=low

  * Remove custom udev rules file added in Lenny update (0.4.2-1lenny1).

 -- Frans Pop <fjp@debian.org>  Thu, 10 Sep 2009 12:15:04 +0200

qcontrol (0.4.2-2) unstable; urgency=low

  * Use quilt to manage patches against upstream.
  * Update input device for udev (0.141-2). Closes: #524505.
  * Use bash for the init script as dash does not support disown.
    Closes: #538321.
  * Add support for the QNAP TS-119 and TS-219. Closes: #525721.
    Many thanks to Martin Michlmayr for the patch.
  * Add support for autopower feature. Closes: #526932.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Fri, 21 Aug 2009 01:55:45 +0200

qcontrol (0.4.2-1) unstable; urgency=low

  * New upstream version:
    - support for QNAP TS-409 (closes: #491567)
  * Update config values for restart and media buttons in line with change in
    Debian kernel 2.6.26 (upstream 2.6.27). Thanks to Martin Michlmayr for
    alerting me to the change.
  * udeb: Modify /etc/modules during base-installer instead of finish-install;
    it is slightly more logical to do this at the same time as installing the
    package.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Aug 2008 15:21:21 +0200

qcontrol (0.4.1-3) unstable; urgency=low

  * Add gpio_keys to /etc/modules in target instead of D-I environment.
  * Remove workaround for missing persistent-input rules. It was added
    in udev 0.124-1.

 -- Frans Pop <fjp@debian.org>  Mon, 14 Jul 2008 17:39:43 +0200

qcontrol (0.4.1-2) unstable; urgency=low

  * Update watch file for rename from piccontrol to qcontrol.
  * Fix errors in udeb. Closes: #488394.
  * Add temporary workaround in udeb for #488439 (missing persistent-input
    rules in udev-udeb).
  * Improve the way additional scripts are included in the udeb.

 -- Frans Pop <fjp@debian.org>  Thu, 03 Jul 2008 20:21:23 +0200

qcontrol (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #483721.

 -- Frans Pop <fjp@debian.org>  Thu, 12 Jun 2008 18:46:42 +0200
