=== debian/control ===
Source: qcontrol
Section: utils
Priority: optional
Maintainer: Ian Campbell <ijc@hellion.org.uk>
Build-Depends: debhelper (>= 9), liblua5.1-0-dev
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
Homepage: http://qnap.nas-central.org/index.php/PIC_Control_Software

Package: qcontrol
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>= 0.141-2)
Description: hardware control for QNAP Turbo Station devices
 Allows one to send commands to the microcontroller of supported devices,
 for example to change leds or sound a buzzer.
 .
 Depending on the device it can also monitor for example for button
 presses or temperature, with events triggering actions defined in the
 configuration file.
 .
 Supported devices at this time are the QNAP TS-109, TS-110, TS-119,
 TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
 TS-419P and TS-419U but the code is extensible so more devices may
 be added in future releases.
 .
 Warning: the program is in alpha state, use at your own risk.

Package: qcontrol-udeb
Section: debian-installer
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules
XC-Package-Type: udeb
Description: hardware control for QNAP Turbo Station devices
 Allows one to change status leds or sound the buzzer of supported devices.
