=== debian/changelog ===
qcontrol (0.5.1-3) unstable; urgency=low

  * Ignore 0x43 (RTC wakeup command) from PIC to avoid spamming logs.
  * Implement hysteresis for fan control. (Closes: #709095)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 01 Jun 2013 15:02:26 +0100

qcontrol (0.5.1-2) unstable; urgency=low

  * Remove alpha warning from description
  * Fix memory corruption bug in confdir handling (Closes: #708376)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 18 May 2013 10:55:39 +0100

qcontrol (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - Wake-on-Lan support. (Closes: #703888)
    - Support for qcontrol.d directories. (Closes: #697574)
    - Disable buffering when stdout/err is not a tty. (Closes: #703894)
    - Patches merged upstream.
  * Only require event-modules udeb on armel.
  * Add /etc/qcontrol.d include to config files and package the directory

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 19:25:57 +0100

qcontrol (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Several patches merged upstream.
  * Add lcd_button function to ts41x default configuration. (Closes: #702763)
  * Sanity check the arguments to functions called from lua. (Closes: #698543)

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 16:41:08 +0100
