=== debian/control ===
--- 
+++ 
@@ -23,13 +23,11 @@
  TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
  TS-419P and TS-419U but the code is extensible so more devices may
  be added in future releases.
- .
- Warning: the program is in alpha state, use at your own risk.
 
 Package: qcontrol-udeb
 Section: debian-installer
 Architecture: armel armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev-udeb (>= 0.141-2), event-modules [armel]
 XC-Package-Type: udeb
 Description: hardware control for QNAP Turbo Station devices
  Allows one to change status leds or sound the buzzer of supported devices.
