=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	$(foreach PACKAGE, $(PACKAGES), \
 		install -m0644 debian/configs/* \
 			debian/$(PACKAGE)/etc/qcontrol; )
-	install -m0755 qcontrol.udeb \
+	install -m0755 qcontrol-static \
 		debian/qcontrol-udeb/usr/sbin/qcontrol
 	install -m0755 debian/initramfs/hook \
 		debian/qcontrol/usr/share/initramfs-tools/hooks/qcontrol
