## qcontrol 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,20 @@
-VERSION=0.5.1
+VERSION=0.5.2
 
-CFLAGS   += -Os -Wall -DQCONTROL_VERSION=\"$(VERSION)\"
-CPPFLAGS += -I/usr/include/lua5.1
-LDFLAGS  +=
-LIBS     += -llua5.1 -lpthread
+CFLAGS   += -Os -Wall
+CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"
+LIBS     += -lpthread
 LIBS_STATIC += /usr/lib/liblua5.1.a -lpthread -lm -ldl
 
-SOURCES=qcontrol.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
+CFLAGS   += $(shell pkg-config --cflags lua5.1)
+LIBS     += $(shell pkg-config --libs lua5.1)
+
+ifeq ($(shell pkg-config --exists libsystemd-daemon 2>/dev/null && echo 1),1)
+CPPFLAGS += -DHAVE_SYSTEMD
+CFLAGS   += $(shell pkg-config --cflags libsystemd-daemon)
+LIBS     += $(shell pkg-config --libs libsystemd-daemon)
+endif
+
+SOURCES=qcontrol.c system.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
 OBJECTS=$(SOURCES:.c=.o)
 EXECUTABLE=qcontrol
 
@@ -22,7 +30,7 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@
 
 clean:
-	rm -f $(OBJECTS) $(EXECUTABLE)
+	rm -f $(OBJECTS) $(EXECUTABLE) $(EXECUTABLE)-static
 
 dist: RELEASES := $(PWD)/../releases/
 dist: TARBALL := qcontrol-$(VERSION).tar
