=== debian/changelog ===
qcontrol (0.5.2-2) UNRELEASED; urgency=low

  * Superceded unintentional upload of 0.5.2-1~exp1 to unstable instead of
    experimental. No changes from 0.5.2-1.

 -- Ian Campbell <ijc@hellion.org.uk>  Wed, 02 Oct 2013 07:31:24 +0100

qcontrol (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Move confdir to end of configuration file, making it useful for local
      overrides (Closes: #713046)
    - New system-status module to handle system start/stop notification.
      Sounding of the buzzer is now controlled in /etc/qcontrol.conf.
  * Update homepage link in debian/control (Closes: #712190)
  * Do not pass obsolete parameters to update-rc.d
  * Simplify qcontrold initscript, use presence of /etc/qcontrol.conf to decide
    when to start the daemon.

 -- Ian Campbell <ijc@hellion.org.uk>  Tue, 01 Oct 2013 19:52:44 +0100
