=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ian Campbell <ijc@hellion.org.uk>
-Build-Depends: debhelper (>= 9), liblua5.1-0-dev
+Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
-Homepage: http://qnap.nas-central.org/index.php/PIC_Control_Software
+Homepage: https://gitorious.org/qcontrol/pages/Home
 
 Package: qcontrol
 Architecture: armel armhf
