=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 			debian/qcontrol-udeb/$(UDEB_DIR); )
 
 override_dh_installinit:
-	dh_installinit --name=qcontrold --update-rcd-params="start 40 S . stop 80 0 1 6 ."
+	dh_installinit --name=qcontrold
 	# This initscript just changes the LEDs and sounds the buzzer. No need
 	# to do this on install or upgrade.
 	dh_installinit --no-start --no-restart-on-upgrade
