## qcontrol 0.5.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
-VERSION=0.5.2
+VERSION=0.5.4
 
-CFLAGS   += -Os -Wall
+CFLAGS   += -c -g -Os -Wall -Wextra
 CPPFLAGS += -DQCONTROL_VERSION=\"$(VERSION)\"
+
+LDFLAGS  += -g
 LIBS     += -lpthread
 LIBS_STATIC += /usr/lib/liblua5.1.a -lpthread -lm -ldl
 
@@ -14,19 +16,19 @@
 LIBS     += $(shell pkg-config --libs libsystemd-daemon)
 endif
 
-SOURCES=qcontrol.c system.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c
+SOURCES=qcontrol.c system.c qnap-pic.c ts209.c ts219.c ts409.c ts41x.c evdev.c a125.c synology.c
 OBJECTS=$(SOURCES:.c=.o)
 EXECUTABLE=qcontrol
 
 all:	$(SOURCES) $(EXECUTABLE)
 
 $(EXECUTABLE): $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
+	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
 
 $(EXECUTABLE)-static: $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS_STATIC) -o $@
+	$(CC) $(LDFLAGS) $(OBJECTS) $(LIBS_STATIC) -o $@
 
-.cpp.o:
+.c.o:
 	$(CC) $(CPPFLAGS) $(CFLAGS) $< -o $@
 
 clean:
