=== debian/changelog ===
qcontrol (0.5.4-5) unstable; urgency=medium

  * [udeb/qcommand] Drop check for gpio-keys driver, it is no longer required.
    (Closes: #793179)

 -- Ian Campbell <ijc@debian.org>  Sun, 26 Jul 2015 17:01:05 +0100

qcontrol (0.5.4-4) unstable; urgency=medium

  * Handle differently named GPIO keys device nodes, this has changed in the
  * kernel.

 -- Ian Campbell <ijc@debian.org>  Wed, 08 Jul 2015 19:54:06 +0100

qcontrol (0.5.4-3) unstable; urgency=medium

  * Apply patch from Martin Michlmayr to support device-tree only systems.
    (Closes: #788885)
  * Update description and README with new devices, patch from Martin Michlmayr.
    (Closes: #788911)

 -- Ian Campbell <ijc@debian.org>  Tue, 23 Jun 2015 08:59:53 +0100

qcontrol (0.5.4-2) unstable; urgency=medium

  * Update Vcs-* to point to anonscm.
  * Wait for necessary devices to appear before starting.
    (Closes: #781886). This works around an issue exposed by systemd LSB
    compatibility mode. Proper systemd support will come later.
  * Update path to examples in man page. (Closes: #749127)
  * Update to standards version 0.9.6, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 13 May 2015 20:02:02 +0100

qcontrol (0.5.4-1) unstable; urgency=low

  * New upstream release 0.5.4.
    - Correct system-status command.
  * New upstream release 0.5.3.
    - New command to control rtc in ts219/ts41x (Closes: #732768)
    - Correctly enable LCD detect GPIO if necessary
    - Return correct status from qcontrol --direct (Closes: #617439)
    - Reduce spaminess of temperature logging (Closes: #727150)
  * Update to standards version 3.9.5 (no changes required).

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 11 Apr 2014 17:40:45 +0100

qcontrol (0.5.2-2) unstable; urgency=low

  * Superceded unintentional upload of 0.5.2-1~exp1 to unstable instead of
    experimental. No changes from 0.5.2-1.

 -- Ian Campbell <ijc@hellion.org.uk>  Wed, 02 Oct 2013 07:31:24 +0100
