=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: qcontrol
 Section: utils
 Priority: optional
-Maintainer: Ian Campbell <ijc@hellion.org.uk>
+Maintainer: Ian Campbell <ijc@debian.org>
 Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/collab-maint/qcontrol.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qcontrol.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/qcontrol.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/qcontrol.git
 Homepage: https://gitorious.org/qcontrol/pages/Home
 
 Package: qcontrol
@@ -19,10 +19,10 @@
  presses or temperature, with events triggering actions defined in the
  configuration file.
  .
- Supported devices at this time are the QNAP TS-109, TS-110, TS-119,
- TS-209, TS-210, TS-219, TS-219P, TS-409, TS-409U, TS-410, TS-410U,
- TS-419P and TS-419U but the code is extensible so more devices may
- be added in future releases.
+ Currently supported devices are the QNAP TS-109, QNAP TS-11x,
+ QNAP TS-12x, QNAP TS-209, QNAP HS-210, QNAP TS-21x, QNAP TS-22x,
+ QNAP TS-409, QNAP TS-409U, QNAP TS-41x, QNAP TS-42x and Synology
+ Diskstation and Rackstation.
 
 Package: qcontrol-udeb
 Section: debian-installer
