=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 		  usr/lib/base-installer.d \
 		  usr/lib/finish-install.d
 
+CONFIGS		= ts209.lua ts219.lua ts409.lua ts41x.lua
+
 %:
 	dh $@
 
@@ -16,9 +18,12 @@
 	dh_install
 
 	# Install the following "manually" as they need a rename
-	$(foreach PACKAGE, $(PACKAGES), \
-		install -m0644 debian/configs/* \
-			debian/$(PACKAGE)/etc/qcontrol; )
+	@set -ex; $(foreach PACKAGE, $(PACKAGES), \
+	    $(foreach CONFIG, $(CONFIGS), \
+		install -m0644 examples/$(CONFIG) \
+			debian/$(PACKAGE)/etc/qcontrol/; \
+            ) \
+        )
 	install -m0755 qcontrol-static \
 		debian/qcontrol-udeb/usr/sbin/qcontrol
 	install -m0755 debian/initramfs/hook \
