=== debian/changelog ===
qcontrol (0.5.5-3) unstable; urgency=medium

  * Open /sys/class/gpio/export write only, avoids EPERM error
    (Closes: #795558).
  * Enable systemd support at build time and install systemd unit files, the
    transition away from support for rcS in the sysvinit compat layer means
    that LSB compat mode is no longer sufficient for qcontrol (closes: #852127).
  * Update standards version, no changes required.
  * Add gbp.conf to packaging directory.

 -- Ian Campbell <ijc@debian.org>  Mon, 01 Jan 2018 12:11:17 +0000

qcontrol (0.5.5-2) unstable; urgency=medium

  * Update standards version, no changes required.

 -- Ian Campbell <ijc@debian.org>  Tue, 15 Nov 2016 18:39:43 +0000

qcontrol (0.5.5-1) unstable; urgency=medium

  * New upstream release.
    - All local patches incorporated upstream.
    - Improvements to option parsing and help messages (Closes: #804767).
  * Update Homepage URL.
  * Update watch file.

 -- Ian Campbell <ijc@debian.org>  Sun, 30 Oct 2016 14:41:08 +0000
