=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Ian Campbell <ijc@debian.org>
-Build-Depends: debhelper (>= 9), liblua5.1-0-dev, pkg-config
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.20160709~), libsystemd-dev, liblua5.1-0-dev, pkg-config
+Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/collab-maint/qcontrol.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/qcontrol.git
-Homepage: https://gitorious.org/qcontrol/pages/Home
+Homepage: http://www.hellion.org.uk/qcontrol/
 
 Package: qcontrol
 Architecture: armel armhf
