=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 CONFIGS		= ts209.lua ts219.lua ts409.lua ts41x.lua
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_install:
 	dh_install
+
+	install -d debian/$(PACKAGE)/lib/udev/rules.d
+	install -m0644 debian/qcontrol.rules \
+		debian/$(PACKAGE)/lib/udev/rules.d/60-qcontrol.rules
 
 	# Install the following "manually" as they need a rename
 	@set -ex; $(foreach PACKAGE, $(PACKAGES), \
