=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # Compulsory line, this is a version 3 file
 version=3
-
-http://byronbradley.co.uk/piccontrol/qcontrol-(.*)\.tar\.gz
+opts=pgpsigurlmangle=s/$/.asc/,filenamemangle=s/.*\/qcontrol-(\d\S*)\.tar\.xz/qcontrol-$1\.tar\.xz/ \
+  https://www.hellion.org.uk/qcontrol/releases/ .*/qcontrol-(\d\S*)\.tar\.xz
