=== debian/changelog ===
qcontrol (0.5.6-4ubuntu1) hirsute; urgency=medium

  * Allow to build without the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:22:22 +0100

qcontrol (0.5.6-4build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:05 +0100

qcontrol (0.5.6-4) unstable; urgency=medium

  * Specify Rules-Requires-Root: no.
  * Switch to debhelper compat level 11, changes are:
    - it is no longer necessary to patch `--with systemd` to `dh(1)`.
    - Use `-a` option to `dh_listpackages`, in favour of obsolete `-s` option.
    - Use `--no-stop-on-upgrade` option to `dh_installinit` in favour of
      obsolete `--no-restart-on-upgrade` option.
    Sticking to level 11 (rather than moving to 12, the latest version) for now
    eases backports to stretch-backports when system units are involved as they
    are here (see "Caveat for stretch-backports support" in
    https://nthykier.wordpress.com/2019/01/04/debhelper-compat-12-is-now-released/).
  * Only trigger a udev event if `udevadm` is available. Also ignore any error
    from `udevadm trigger`.
  * Update postinst check for presence of `update-initramfs` to use `which`
    rather than a hardcoded path. Resolves lintian warning
    "command-with-path-in-maintainer-script".
  * Override `init.d-script-depends-on-all-virtual-facility` lintian warning.

 -- Ian Campbell <ijc@debian.org>  Sun, 06 Jan 2019 13:37:59 +0000

qcontrol (0.5.6-3) unstable; urgency=medium

  * Use `dh_installudev` rather than open coding.
  * Run `udevadm trigger` from postinst so that the gpio keys device is tagged
    before trying to start the qcontrol services (which depend on the tagged
    device). (Closes: #914160, again!).
  * Drop postinst code cleaning up from Lenny era.
  * Bump standards version to 4.3.0, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 02 Jan 2019 17:28:51 +0000

qcontrol (0.5.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ian Campbell ]
  * Switch Homepage to https.
  * Fix "qcontrol FTCBFS: upstream Makefile hard codes the build
    architecture pkg-config" by allowing the override of the pkg-config binary
    Thanks to Helmut Grohne for the initial patch (Closes: #908525).
  * Correctly install 60-qcontrol.rules (Closes: #912376).
  * Refresh all patches to apply without fuzz.
  * Catch more installation errors in debian/rules.

 -- Ian Campbell <ijc@debian.org>  Sun, 09 Dec 2018 14:42:37 +0000

qcontrol (0.5.6-1) unstable; urgency=medium

  * New upstream release.
    - All local patches merged upstream.
    - Add a configuration option in the examples to handle QNAP devices which
      lack a fan (closes: #712841).
  * Update standards version, no changes required.
  * Use Package-Type control header in preference to XC-Package-Type.
  * Reformat control files according to cme.

 -- Ian Campbell <ijc@debian.org>  Sun, 27 May 2018 11:22:20 +0100
